interface Options {
    maxWidth?: number | string;
    height?: number | string;
    duration?: number;
    hideDuration?: number;
    zIndex?: number | string;
    className?: string;
    color?: string;
    timing?: string;
    position?: 'top' | 'bottom' | 'none';
    container?: HTMLElement;
}
export default class Progress {
    private _el;
    private _state;
    private _opts;
    private _appearRaf;
    private _disappearTimer;
    private _promises;
    constructor(opts?: Options);
    setOptions(opts: Options): void;
    private _css;
    get isInProgress(): boolean;
    start(): void;
    end(immediately?: boolean): void;
    promise<T>(promise: Promise<T>, { delay, min }?: {
        delay?: number | undefined;
        min?: number | undefined;
    }): Promise<T>;
}
export {};
